Bullet Collision Detection & Physics Library: CProfileNode Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
CProfileNode Class Reference

A node in the Profile Hierarchy Tree. More...

`#include <btQuickprof.h>`

Collaboration diagram for CProfileNode:
[legend]

## Public Member Functions
| CProfileNode (const char *name, CProfileNode *parent)
| ~CProfileNode (void)
CProfileNode * | Get_Sub_Node (const char *name)
CProfileNode * | Get_Parent (void)
CProfileNode * | Get_Sibling (void)
CProfileNode * | Get_Child (void)
void | CleanupMemory ()
void | Reset (void)
void | Call (void)
bool | Return (void)
const char * | Get_Name (void)
int | Get_Total_Calls (void)
float | Get_Total_Time (void)
void * | GetUserPointer () const
void | SetUserPointer (void *ptr)

## Protected Attributes
const char * | Name
int | TotalCalls
float | TotalTime
unsigned long int | StartTime
int | RecursionCounter
CProfileNode * | Parent
CProfileNode * | Child
CProfileNode * | Sibling
void * | m_userPtr

## Detailed Description

A node in the Profile Hierarchy Tree.

Definition at line 91 of file btQuickprof.h.

## Constructor & Destructor Documentation

## § CProfileNode()

CProfileNode::CProfileNode | ( | const char * | name,
|  | CProfileNode * | parent
| ) |  |

Definition at line 316 of file btQuickprof.cpp.

## § ~CProfileNode()

CProfileNode::~CProfileNode | ( | void |  | ) |

Definition at line 339 of file btQuickprof.cpp.

## Member Function Documentation

## § Call()

void CProfileNode::Call | ( | void |  | ) |

Definition at line 388 of file btQuickprof.cpp.

## § CleanupMemory()

void CProfileNode::CleanupMemory | ( |  | ) |

Definition at line 331 of file btQuickprof.cpp.

## § Get_Child()

CProfileNode* CProfileNode::Get_Child | ( | void |  | ) |
| inline

Definition at line 101 of file btQuickprof.h.

## § Get_Name()

const char* CProfileNode::Get_Name | ( | void |  | ) |
| inline

Definition at line 108 of file btQuickprof.h.

## § Get_Parent()

CProfileNode* CProfileNode::Get_Parent | ( | void |  | ) |
| inline

Definition at line 99 of file btQuickprof.h.

## § Get_Sibling()

CProfileNode* CProfileNode::Get_Sibling | ( | void |  | ) |
| inline

Definition at line 100 of file btQuickprof.h.

## § Get_Sub_Node()

CProfileNode * CProfileNode::Get_Sub_Node | ( | const char * | name | ) |

Definition at line 353 of file btQuickprof.cpp.

## § Get_Total_Calls()

int CProfileNode::Get_Total_Calls | ( | void |  | ) |
| inline

Definition at line 109 of file btQuickprof.h.

## § Get_Total_Time()

float CProfileNode::Get_Total_Time | ( | void |  | ) |
| inline

Definition at line 110 of file btQuickprof.h.

## § GetUserPointer()

void* CProfileNode::GetUserPointer | ( |  | ) | const
| inline

Definition at line 111 of file btQuickprof.h.

## § Reset()

void CProfileNode::Reset | ( | void |  | ) |

Definition at line 373 of file btQuickprof.cpp.

## § Return()

bool CProfileNode::Return | ( | void |  | ) |

Definition at line 397 of file btQuickprof.cpp.

## § SetUserPointer()

void CProfileNode::SetUserPointer | ( | void * | ptr | ) |
| inline

Definition at line 112 of file btQuickprof.h.

## Member Data Documentation

## § Child

CProfileNode* CProfileNode::Child
| protected

Definition at line 122 of file btQuickprof.h.

## § m_userPtr

void* CProfileNode::m_userPtr
| protected

Definition at line 124 of file btQuickprof.h.

## § Name

const char* CProfileNode::Name
| protected

Definition at line 115 of file btQuickprof.h.

## § Parent

CProfileNode* CProfileNode::Parent
| protected

Definition at line 121 of file btQuickprof.h.

## § RecursionCounter

int CProfileNode::RecursionCounter
| protected

Definition at line 119 of file btQuickprof.h.

## § Sibling

CProfileNode* CProfileNode::Sibling
| protected

Definition at line 123 of file btQuickprof.h.

## § StartTime

unsigned long int CProfileNode::StartTime
| protected

Definition at line 118 of file btQuickprof.h.

## § TotalCalls

int CProfileNode::TotalCalls
| protected

Definition at line 116 of file btQuickprof.h.

## § TotalTime

float CProfileNode::TotalTime
| protected

Definition at line 117 of file btQuickprof.h.

The documentation for this class was generated from the following files:

- btQuickprof.h
- btQuickprof.cpp